classification
Title: some test cases in test_posix.py fail if some os attributes are not supported
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.10
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: pxinwr, vstinner
Priority: normal Keywords: patch

Created on 2020-07-30 10:49 by pxinwr, last changed 2020-12-22 10:10 by pxinwr. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 21688 merged pxinwr, 2020-07-30 10:56
PR 23886 open pxinwr, 2020-12-22 10:10
Messages (2)
msg374610 - (view) Author: Peixing Xin (pxinwr) * Date: 2020-07-30 10:49
Some operating systems like VxWorks can't support posix.chown, posix.mknod and posix.readlink. This results that test_chown_dir_fd, test_mknod_dir_fd and test_readlink_dir_fd fail.
msg382773 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-12-08 23:18
New changeset eb7594f85741ef809b1ee337ee3431df20e6f8bb by pxinwr in branch 'master':
bpo-41443:  Add more attribute checking in test_posix (GH-21688)
https://github.com/python/cpython/commit/eb7594f85741ef809b1ee337ee3431df20e6f8bb
History
Date User Action Args
2020-12-22 10:10:54pxinwrsetpull_requests: + pull_request22745
2020-12-08 23:23:28vstinnersetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2020-12-08 23:18:45vstinnersetnosy: + vstinner
messages: + msg382773
2020-07-30 10:56:22pxinwrsetkeywords: + patch
stage: patch review
pull_requests: + pull_request20831
2020-07-30 10:49:02pxinwrcreate